org.h2gis.functions.spatial.distance

## Class ST_ClosestCoordinate

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.distance.ST_ClosestCoordinate

All Implemented Interfaces:
  org.h2gis.api.Function, org.h2gis.api.ScalarFunction

    public class ST_ClosestCoordinate
    extends org.h2gis.api.DeterministicScalarFunction

ST_ClosestCoordinate computes the closest coordinate(s) contained in the given geometry starting from the given point, using the 2D distance. If the coordinate is unique, it is returned as a POINT. If it is not, then all closest coordinates are returned in a MULTIPOINT.

Author:
  Erwan Bocher, Adam Gouge

### Field Summary

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC, PROP_NOBUFFER`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Constructor Summary

Constructors
Constructor and Description
`ST_ClosestCoordinate()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static com.vividsolutions.jts.geom.Geometry` `getFurthestCoordinate(com.vividsolutions.jts.geom.Point point, com.vividsolutions.jts.geom.Geometry geom)` Computes the closest coordinate(s) contained in the given geometry starting from the given point, using the 2D distance.
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_ClosestCoordinate

    public ST_ClosestCoordinate()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### getFurthestCoordinate

    public static com.vividsolutions.jts.geom.Geometry getFurthestCoordinate(com.vividsolutions.jts.geom.Point point,
                                                                             com.vividsolutions.jts.geom.Geometry geom)

Computes the closest coordinate(s) contained in the given geometry starting from the given point, using the 2D distance.

Parameters:
  `point` - Point
  `geom` - Geometry
Returns:
  The closest coordinate(s) contained in the given geometry starting from the given point, using the 2D distance